Bulk update subscriber preferences
Bulk update subscriber preferences by its unique key identifier **subscriberId**. This API allows updating multiple workflow preferences in a single request.
Bulk update subscriber preferences by its unique key identifier subscriberId. This API allows updating multiple workflow preferences in a single request.
Authorization
secretKey API key authentication. Allowed headers-- "Authorization: ApiKey <secret_key>".
In: header
Path Parameters
The identifier of the subscriber
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v2/subscribers/string/preferences/bulk" \ -H "Content-Type: application/json" \ -d '{ "preferences": [ { "channels": {}, "workflowId": "string" } ] }'{ "data": [ { "level": "global", "workflow": { "id": "64a1b2c3d4e5f6g7h8i9j0k1", "identifier": "welcome-email", "name": "Welcome Email Workflow", "critical": false, "tags": [ "user-onboarding", "email" ], "data": { "category": "onboarding", "priority": "high" }, "severity": "high" }, "enabled": true, "channels": { "email": true, "sms": false, "in_app": true, "chat": false, "push": true }, "condition": {} } ]}Update subscriber preferences PATCH
Update subscriber preferences by its unique key identifier **subscriberId**. **workflowId** is optional field, if provided, this API will update that workflow preference, otherwise it will update global preferences
Retrieve subscriber subscriptions GET
Retrieve subscriber's topic subscriptions by its unique key identifier **subscriberId**. Checkout all available filters in the query section.